package com.zj365.mime.vm

import androidx.lifecycle.MutableLiveData
import com.xty.base.vm.BaseVm
import com.xty.network.model.*

class ProgrammeVm:BaseVm() {

    val findById by lazy { MutableLiveData<RespBody<ProgrammeBean>>() }

    fun findById(id: String) {
        startHttp {
//            var json = JSONObject().apply { put("id", id) }
            // json.put("page",page)
            // json.put("page",Const.PAGE_SIZE)
            var body = apiInterface().findById(id)
            body.getCodeStatus(findById, nowData)
        }
    }
}